Subject: Re: bug#42733: 27.1; json-serialize doesn't not encode list like json-encode

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 05 Jul 2021 21:48:11 +0200

Philipp <[email-masked]> writes:

>> So I'd be inclined to just regard this as a feature, but I've added
>> Philipp to the CCs -- perhaps he has some comments.
>
> What Lars said.  In general, DWIM can be a good choice for high-level
> user-facing commands, but not for lower-level library functions like
> this.  Second-guessing the intention of the caller often generates
> surprising or subtly wrong results, which isn't what you want for
> interpreting a rather low-level protocol like JSON.  json-serialize
> thus very intentionally behaves differently than the json.el
> functions.

So this works as intended, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no